# $Revision: 1.7 $, $Date: 2004/12/20 23:48:02 $
#
# Conditional build:
%bcond_without	debug		# disable debug feature
%bcond_without	gdb		# debuging programs with gdb
%bcond_with	shared		# compile with shared libraries
#
Summary:	wxMSW port to mingw32
Summary(pl):	Skrone biblioteki wxMSW dla mingw32
Name:		crossmingw32-wxMSW
Version:	2.4.2
Release:	1
License:	wxWindows License, GPL
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/wxwindows/wxMSW-%{version}.zip
# Source0-md5:	2b1594182175c3afe33c2c2f443d6000
URL:		http://www.wxwindows.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-binutils
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-runtime
BuildRequires:	dos2unix
BuildRequires:	libtool
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32
%define		arch			%{_prefix}/%{target}

%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%define		__strip			%{target}-strip

%description
wxWindows is a C++ library packed with classes used for easy
developement of multi platform programs and especially their GUI. It's
packed with own implementation of basic C++ types, to ensure proper
running on all platforms. wxWindows allows easy porting applications
by changing only one option - the GUI used.

This paricular package contains wxWindows using native MS Windows
widgets.

%description -l pl
wxWindows to napisana w C++ biblioteka z klasami przeznaczonymi do
atwego tworzenia wieloplatformowych programw, a szczeglnie ich GUI.
Zawiera wasn implementacj podstawowych typw w C++, aby zapewni
poprawn prac na wszystkich platformach. wxWindows pozwala atwo
przenosi aplikacje do innego rodowiska przez zmian tylko jednego
parametru - GUI.

Ta konkretna paczka zawiera wxWindows korzystajca z natywnych
widgetw MS Windows.

%prep
%setup -q -n wxWindows-%{version}
dos2unix configure \
	config.sub \
	config.guess \
	contrib/configure \
	demos/configure \
	samples/configure \
	utils/configure

chmod +x configure config.sub config.guess

%build
CFLAGS=-O2
CXXFLAGS=-O2

./configure \
	--with-msw \
	%{?with_debug:--enable-debug} \
	%{?with_gdb:--enable-debug_gdb} \
	%{!?with_shared:--disable-shared} \
	--build=%{_host} \
	--host=%{target} \
	--prefix=$RPM_BUILD_ROOT%{arch}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/wx
# XXX: FIX
#%{arch}/lib/*
%dir %{arch}/lib/wx/include
%if %{with debug}
%{arch}/lib/wx/include/mswd-2.4-%{target}
%else
%{arch}/lib/wx/include/msw-2.4-%{target}
%endif
%{arch}/share/aclocal/*
%{arch}/bin/*
%{arch}/lib/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-wxMSW.spec,v $
Revision 1.7  2004/12/20 23:48:02  undefine
- fix build

Revision 1.6  2004/12/20 23:03:01  undefine
- BR: crossmingw32-runtime

Revision 1.5  2004/12/20 21:46:04  adamg
- BuildRequires: dos2unix

Revision 1.4  2004/08/20 23:21:08  qboosh
- fixed URL, some files fixes (further ones needed)

Revision 1.3  2004/08/18 23:28:19  ankry
- pl cosmetics

Revision 1.2  2004/08/18 22:55:57  gotar
- dos2unix instead of patch and cosmetics from Cezary Krzyanowski

Revision 1.1  2004/08/18 22:24:00  gotar
- from Cezary Krzyanowski dhubleizh at o2 pl
